Subject: bug#5937: 23.1.95; why saving empty abbrev tables

From: Stefan Monnier <[email-masked]>
Date: Sun, 27 Mar 2011 16:40:10 -0400

> C-x C-s usually means things have been saved and are safe unless
> something happen to the harddisk.

> In abbrevs it is not. And sometimes one doesn't get the chance to
> actually save it because emacs crashes halfway.

> I would propose separating C-x C-s and C-c C-c. C-x C-s should stay
> close to the global key binding.

You mean keep C-c C-c bound to edit-abbrevs-redefine, but change C-x C-s
to call write-abbrev-file?  Sounds good (tho it'll have to call
edit-abbrevs-redefine before write-abbrev-file beforehand, of course).
Oh and by the way: the abbrev.el file should be (slowly) fixed to use
the "abbrev-" prefix for all functions and commands, so whenever you
introduce a new function/command/variable please use this prefix rather
than the previous style of <verb>-abbrev-<thing>.

        Stefan